EDIT - task #10239

Caucasus databases and portals available
01/30/2023 05:22 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: platform Estimated time: 0:00 hour
Target version:

Severity: normal

Description

This is kind of a master ticket for issues related to the 3 caucasus portals and the caucasus project.
Also use the 'caucasus' tag to search for caucasus related issues.

¢ Import-datafrom-caucasus BBio-E+M (#10236)
e Greate 3-pertals
e Create-3-databases => created and filled
¢ Diseuss-which-datato-editin E+M-and-whenthow-toferk see #10324
o Distribution-hierarchy-handling-inpertiaHe-g—#5807-and-others) => areas have been defined and remaining hierarchy is simple,
so this is not an issue here
¢ URLs for the portals
o fernew-tis-hitps:/portal.cybertaxonomy.org/armenia/;-https://portal.cybertaxonomy.org/georgia/-and-
https://portal.cybertaxonomy.org/azerbaijan/ => to be decided by project coordinators or partners
. DiSCUSS'

o KewAt:DtS4a*a =>see #10239#note 3
WF94Ds—sheH4d—we—wa|t—uhtH—WF©4Ds—a¥e~mpeFted => see #102394#note- 4 the |mport d|d run so th|s is obsolet

testgelegt—eb—#lybﬁeen—amgenemmen—werde&seuee =>the |mport d|d run
o wheh%ee—retereﬂees%eﬁse => see #10239#note-5 and #10239#note 17

#10239#note 18 for now we keep them as they are

Related issues:

Related to EDIT - task #10324: Export Caucasus data Closed
Related to EDIT - feature request #9197: Handle caucasus conspectus data in E... Rejected
History

#1 - 01/30/2023 05:26 PM - Andreas Miiller

- Description updated

NaK:

anbei sind nochmal die drei Proposals. Ich glaube, dass Anton sie kannte, Andreas und Katja aber vermutlich nicht. Es sind drei Antrage (und formell
auch drei getrennte Grants) fir die drei Lander. Der Einleitungsteil ist immer identisch, die konkreten Arbeitspléne je nach Land leicht unterschiedlich.

Ziel sind Lander-Checklisten und der Aufbau eines Informationssystems in den jeweiligen Léandern, das war die Voraussetzung fiir die Antrége, es
sind Infrastruktur-Proposals fir die Partner.

In dem Zusammenhang hatten wir auch ausfihrlich diskutiert, dass es drei getrennte Datenbanken und Portale sein mlssen, sie sind ein konkretes
Deliverable des Projektes, nicht etwas, das nur im Antrag steht. Dass das so im Antrag steht, hat ja Griinde. Zum einen werden die Portale vom Inhalt
und Auftritt je nach Land unterschiedlich sein, und auch sein missen, zum Beispiel mit Texten in der Landessprache, Verbreitung in Provinzen oder
anderen Einheiten im jeweiligen Land, etc.

Sie sind dann auch nicht inhaltsgleich mit E+M, es sollen zum Beispiel auch Typen enthalten sein, und fir Armenien vermutlich auch Flechten.

Es ist auBerdem geplant, dass auch die Wissenschaftler*Innen vor Ort editieren und das langfristig auch ibernehmen. Schon wegen der bekannten
Armenien-Aserbaidschan Problematik kann es keine gemeinsame Datenbank sein, in der Kolleg*lnnen aus beiden Landern editieren. Dieselben
Arten heiBBen in den La&ndern manchmal auch anders, die Kolleg*Innen sollen die Méglichkeit haben, das auch so umzusetzen, und das kann auch
mal vom Backbone in E+M abweichen.

Maryam kann sicher fiir einige Wochen erstmal in E+M editieren, aber wir brauchen die getrennten Instanzen und Portale zeitnah, um mit den
Partnern Uber die weiteren Schritte und Inhalte zu sprechen.

ERS:
https://dev.e-taxonomy.eu/redmine/issues/10239#note-18

danke, Nadja, fur die ausfuhrliche und zutreffende Darstellung des Hintergrundes. Aus E+M-Sicht und datenbanktechnisch bringt die festgelegte
Vorgehensweise sicherlich einige Schwierigkeiten mit sich, die Proposals sind aber eindeutig. Das Ziel ist ja ausdriicklich der Aufbau von
Daten-Infrastrukturen fiir die jeweiligen L&nder, die unabh&ngig voneinander operieren und funktionieren sollen.

#2 - 01/30/2023 05:27 PM - Andreas Miuller
AM:

Verstehe ich es richtig, dass dann im Armenien Slice wirklich nur Taxa landen sollen, die in Armenien vorkommen, und dass auch die
Verbreitungsdaten nur aus Armenien stammen sollen, nicht aus dem gesamten Kaukasus.

ERS:

Das hatten wir noch nicht im Detail festgelegt.

Sinnvoll wére aus meiner Sicht:

1) ja, nur Taxa, die in Armenien vorkommen, aber

2) Verbreitungsdaten werden in Checklisten gerne auch fiir die Nachbarlander angegeben, sinnvoll wéren in dem Fall alle Lander der Okoregion
Kaukasus, fur die wir Daten haben (also die drei Sidkaukasuslénder jeweils mit ihren Unterarealen sowie Nordkaukasus und Tarkei., und E+M

gesamt zur Angabe Uber Endemismus).

Welche Daten genau in den Landerchecklisten enthalten sein sollen, ist ja auch in Absprache mit den Partnern noch im Detail festzulegen. Fir die
Arbeits-Slices sollten wir aber die Daten aus den Nachbarldndern behalten.

#3 - 01/30/2023 05:33 PM - Andreas Miiller

- Description updated

Kew/ILDIS:

ERS:

diese haben ja gar keine Verbreitungsangaben fir die Stidkaukasuslander, sondern nur fir TCS. Sie helfen also in dem Punkt nicht viel weiter.
Eigentlich wollen wir ja auch Originaldaten hier haben.

In unseren Unpublished-Treatments der KEW/Ildis-Familien gibt es dagegen teilweise schon Daten fir Armenien, Georgien und Aserbaidschan, die
dann im Laufe des Projektes zu ergénzen wéren.

Es wére also sinnvoll, die Landerslices mit unseren unpublished treatments der Kew und lidis-Famiien zu ergénzen, denke ich. Aber ich muss mir die
daten vielleicht nochmal genauer ansehen.

#4 - 01/30/2023 05:36 PM - Andreas Miiller

- Description updated

WFO-IDs:

NaK:

ware auf jeden Fall sinnvoll, und das Institut in Baku ist auch Teil des WFO Konsortiums.

Wenn wir die bald von Walter bekommen kénnten wir warten, aber wenn nicht, dann kénnten die IDs auch spéater importiert werden, oder auch ganz
am Ende wenn die backbones fertig sind, weil in den Slices garantiert Taxa fehlen werden. Vielleicht deshalb besser nicht auf die IDs warten.

ERS:

scheint mir sinnvoll, wenn das zeitnah passieren kann

#5 - 01/30/2023 05:44 PM - Andreas Miuller

- Description updated

sec-refs:
ERS:

wabhrscheinlich gibt es nicht viele Daten, aber wenn, sollten wir sie mit exportieren. Es ist noch nicht festgelegt, ob Hybriden aufgenommen werden
sollen.

#6 - 01/30/2023 05:52 PM - Andreas Miiller
- Description updated
UUIDs:
ERS:

spricht was dagegen, die uuids fir Namen gleich zu halten? Da erwarte ich kaum Abweichungen, oder? Bei Taxa oder Verbreitungsdaten kénnte ich
mir auch vorstellen, dass man teilweise die gleichen IDs hat, aber nicht fiir alle Félle...

AM:

it is critical to keep the same uuids if they do not represent the exact same data even if they are stored in 2 different databases. As data will change
over time we should not keep the uuids. This is maybe different for names but even there the related data may slightly change and using the same
uuids is therefore dangerous. Also on name level we may have WFO-IDs as common identifiers.

At the same time data lineage might be easier if keeping uuids. However, this may not weigh out the disadvantages

#7 - 01/31/2023 06:53 PM - Andreas Miiller
Meeting 2023-01-31:

e Maryam will start entering data from conspectus with E+M areas to complete the taxonomic backbone
* which areas to use needs to be discussed with project partners asap

#9 - 05/23/2023 01:26 PM - Andreas Miiller
- Related to task #10324: Export Caucasus data added

#10 - 05/23/2023 01:27 PM - Andreas Miiller

- Related to feature request #9197: Handle caucasus conspectus data in E+M and caucasus portal added

#11 - 05/23/2023 08:46 PM - Andreas Miiller
- Description updated

#12 - 02/14/2024 10:10 PM - Andreas Miiller

- Description updated

#13 - 02/14/2024 10:13 PM - Andreas Miiller

- Description updated

#14 - 02/14/2024 10:14 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Priority14

- % Done changed from 0 to 50

#15 - 02/14/2024 10:35 PM - Andreas Miiller

- Description updated

#16 - 02/14/2024 10:40 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

#17 - 02/20/2024 10:54 PM - Andreas Miiller

- Description updated

AM:

derzeit werden ja noch die von E+M genommen. Ist das so gewollt oder soll das mal angepasst werden. Derzeit werden diese nicht angezeigt, daher
ist das nicht wirklich akut relevant. Aber gab es dazu irgendwelche Uberlegungen? Z.B. Anzeige &hnlich wie in E+M.

Oder zumindest Gbernahme einer einheitlichen sec wie in anderen Floren, z.B. Flora of Georgia 2023+, die fUr alle Taxa gesetzt wird.

NaK * ERS:

Wir hatten uns gegen sec-Referenzen entschieden, es soll eine einheitliche Referenz fiir alle Taxa geben. Wir die genau lautet, wiirde davon
abhangen, wie die Checklisten publiziert werden, alos ob es eine separate Print-Publikation oder ein data paper geben wird, oder ob es bei der reinen
Online-Checkliste bleiben soll.

AM:

dann wére es gut, wenn ihr mal eine Referenz anlegt (die kann ja im Detail spater noch geédndert werden) und diese mit ,set for subtree” dem
gesamten Baum hinzufuigt. Eckhard, du weif3t ja wie das geht von E+M, denke ich. Dann wéren die ,falschen” sec-refs erstmal weg.
ERS:

ich habe jetzt erstmal in allen drei Stidkaukasus-Instanzen die sec-Refs geandert und jeweils fir den gesamten Baum gesetzt. Die heiBen zunachst
einmal ,On-line checklist of vascular plants of Armenia (bzw. Azerbaijan bzw. Georgia) 2024). Autoren/Herausgeber gibt es noch keine.

#18 - 02/20/2024 10:58 PM - Andreas Miiller

- Description updated

AM:

Die Frage nach der Anpassung der UUIDs ist vermutlich schwer zu final zu beantworten. Zumindest fiir Taxa wirde ich sie aber vielleicht doch
anpassen, sonst wundert sich vielleicht doch mal jemand, warum das die gleichen UUIDs sind, obwohl die Taxa doch unterschiedlich aussehen.
Allerdings wirden dabei alle bisherigen Portallinks zu Taxa kaputt gehen. Wirde das was ausmachen

NaK:
Das mit den UUIDs verstehe ich nicht ganz.
ERS:

Bei den UUIDs verstehe ich auch nicht, welche Portallinks zu Taxa unter welchen Bedingungen kaputtgehen wirden, und ob das schadet oder nicht.
Mussen wir vielleicht mal besprechen.

AM:

Zu den UUID clones: konkretes Beispiel C. intybus in Armenia
https://portal.cybertaxonomy.org/armenia/cdm_dataportal/taxon/67bbde84-961e-4725-8879-ebadf4662efe und E+M

https://www.europlusmed.org/cdm_dataportal/taxon/67bbde84-961e-4725-8879-ebadf4662efe benutzen die gleiche UUID
67bbde84-961e-4725-8879-ebadf4662efe obwohl da evil. irgendwann mal ein anderes Konzept hinter steht und bereits jetzt die Synonymie

unterschiedlich aussieht. Bei den Cichorieen ist es eine andere UUID obwohl auch dort der Name ja akzeptiert ist:

https://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/4f6c68d0-63f2-4235-83c2-5bff14532f90

Soviel zur Erklarung, was gemeint ist. Wirklich problematisch ist das wie gesagt nicht, da ja die Domain eine andere ist. Es kdnnte nur irgendwann
mal Probleme geben, wenn Daten aus beiden Datenbanken verglichen werden sollen. Oft werden solche Vergleiche an Hand der UUID gemacht, da
man davon ausgeht, dass diese aufgrund der Lange global unique sein sollte, aber wenn man sie kopiert, wie hier, ist sie es eben doch nicht.

Da es aber auch mal Vorteile haben kann, wenn man flr das gleiche akzeptierte Taxon die gleiche UUID verwendet, wirde ich vorschlagen, das jetzt
doch erstmal so zu lassen.

#19 - 02/20/2024 10:58 PM - Andreas Miiller
- % Done changed from 50 to 90

#20 - 02/20/2024 11:01 PM - Andreas Miiller
- Description updated

- Status changed from In Progress to Closed
- Target version deleted (Release 5.43)

- % Done changed from 90 to 100
